# TA1: Железный век

TA1 - это добыча достаточного количества руды и производство древесного угля с помощью простых инструментов и оборудования, чтобы в TA2 можно было производить и эксплуатировать машины.

Разумеется, для железного века необходимо железо, а не только сталь, как в «Minetest Game». В результате некоторые рецепты были изменены таким образом, что сначала должно быть произведено железо, а затем сталь.

Долговечность инструментов зависит от эпохи и поэтому не соответствует оригинальной игре Minetest.
Например, долговечность / твердость для топора:

* Бронза: 20
* Сталь: 30

[techage_ta1|image]


## Пиролизная печь

Пиролизная печь нужна для получения древесного угля. Древесный уголь необходим для плавильной печи, а также, например, в TA2 для парового двигателя.

Для пиролизной печи вам понадобятся:

- блок растопки (`techage:lighter`)
- 26 деревянных блоков, которые складываются в кучу дров. Тип древесины не имеет значения
- Земля, чтобы закрыть доступ воздуха к куче дров
- Огниво (техническое название: `fire:flint_and_steel`), чтобы зажечь блок растопки.



Инструкции по строительству (см. также план):

- Постройте площадку 5x5 из земли.
- Положите 7 деревянных брусков вокруг блока растопки, но оставьте отверстие для огнива
- Положите сверху еще 2 слоя дерева, чтобы получился деревянный куб 3x3x3
- Покройте все слоем земли, чтобы получился куб 5x5x5, но отверстие для огнива оставьте открытым
- Зажгите растопку и сразу же закройте отверстие деревянным блоком и землей.
- Если вы все сделали правильно, пиролизная печь начнет дымить через несколько секунд.
- Открывайте пиролизная печь только тогда, когда дым исчезнет (примерно через 20 минут).

Тогда вы сможете извлечь 9 угольных блоков и заново наполнить пиролизная печь.

[coalpile|plan]


## Плавильная печь

Плавильная печь нужна, например, для того, чтобы плавить железо и другие руды в плавильном котле. Существуют различные рецепты, требующие разной температуры. Чем выше плавильная печь, тем жарче пламя. Для всех рецептов подходит высота 11 блоков над опорной плитой, но для горелки с такой высотой требуется больше древесного угля.

Инструкции по строительству (см. также план):

* Постройте каменную башню (булыжник) с основанием 3x3 (высота 7-11 блоков)
* Оставьте открытым отверстие с одной стороны внизу.
* Положите в него растопку
* Наполните башню до краев древесным углем, опуская уголь в отверстие сверху
* Зажгите растопку через отверстие
* Поместите плавильный котел на вершину башни прямо в пламя, на один блок выше края башни.
* Чтобы остановить горелку, временно закройте отверстие, например, блоком земли.

У плавильного котла есть собственное меню рецептов и инвентарь, в который нужно складывать руды.

[coalburner|plan]



## Водяная мельница

Водяную мельницу можно использовать для перемалывания пшеницы и других зерен в муку, а затем выпекать их в печи для приготовления хлеба. 
Мельница приводится в движение силой воды. Для этого к мельничному колесу через канал нужно подвести жернова.
Поток воды и, соответственно, мельничное колесо можно регулировать с помощью шлюза. Шлюз состоит из шлюзового замка и шлюзовой ручки.

На рисунке справа (нажмите на «План») показана структура водяной мельницы. 

[watermill1|plan]


### TA1 Мельница

Водяную мельницу можно использовать для перемалывания пшеницы и других зерен в муку, а затем выпекать их в печи для приготовления хлеба. Мельница должна быть соединена с мельничным колесом с помощью оси TA1. Мощности мельничного колеса достаточно только для одной мельницы.

Мельницу можно автоматизировать с помощью Minecart Hopper, чтобы, например, мука прямо с мельницы доставлялась в печь для выпечки из нее хлеба.

[watermill2|plan]

### TA1 Шлюзовой затвор

Шлюзовой затвор должен быть установлен непосредственно рядом с прудом или ручьем на той же высоте, что и поверхность воды.
Когда ворота открываются, вода течет через задвижку. Затем эта вода подается на мельничное колесо, где приводит в движение мельницу.

[ta1_sluice|image]

### TA1 Рукоятка шлюза

TA1 Рукоятка шлюза должна быть установлена на воротах шлюза. Ворота можно открыть с помощью рукоятки шлюза (правый клик).

[ta1_sluice_handle|image]

### TA1 Доска из яблоневого дерева

Доски из разных пород дерева для строительства канала мельницы. Однако можно использовать и любой другой материал.

[ta1_board1|image]

### TA1 Яблоневая доска для мельничного канала

Блок из различных пород дерева для строительства канала мельницы. Этот блок особенно подходит для соединения
со столбами деревянного забора для создания опоры канала.

[ta1_board2|image]



## Руды и инструменты

В TA1 есть свои инструменты, такие как молоток и сито для гравия, но можно использовать и бункер Minecart Hopper.

[ta1_gravelsieve|image]


### Молот

Молот TA1 можно использовать для отбивания/выкапывания камня в шахте, а также для разбивания булыжника на гравий. Молоток выпускается в разных вариантах и, соответственно, с разными свойствами: бронзовый, стальной, латунный и алмазный.

[hammer|image]

### Сито для просеивания гравия

Руды можно отсеивать из гравия с помощью сита для гравия. Для этого нажмите на сито с гравием. Просеянный гравий и руды выпадут вниз.

Чтобы не стоять часами у сита, просеивание можно автоматизировать с помощью бункера.

[ta1_gravelsieve|image]


### Воронка

Воронка из мода «Minecart» используется в основном для погрузки и разгрузки вагонеток. Она подбирает предметы сверху и выдает их направо. Поэтому, размещая воронку, обращайте внимание на направление выдачи.

Воронка также может доставать предметы из ящиков (сундуков), если ящик(сундук) на ней.

Воронка также может класть предметы в сундуки, если сундук находится рядом с воронкой.

[ta1_hopper|image]


### Просеивание гравия с помощью воронки

С помощью двух ящиков, двух воронок и сита для гравия можно автоматизировать процесс просеивания. На плане справа показана конструкция.

Убедитесь, что ящики заперты на «chest_lock», иначе кто-нибудь украдет ценные руды из ящика внизу.

[hoppersieve|plan]


### Меридий

В TA1 существует металлический сплав меридий. Слитки меридия можно изготовить с помощью печи на древесном угле из стали и кристаллов месе. Меридий светится в темноте. Инструменты из меридия  светятся и поэтому очень полезны при подземной добыче.

[meridium|image]
