# TA5: Будущее

Машины для преодоления пространства и времени, новые источники энергии и другие достижения улучшают вашу жизнь.

Для производства и использования машин и блоков TA5 требуются очки опыта. Их можно разработать только с помощью коллайдера из TA4.

[techage_ta5|image]

## Источники энергии

### TA5 Термоядерный реактор

Ядерный синтез означает слияние двух атомных ядер. В зависимости от реакции может выделяться большое количество энергии. Ядерные синтезы, при которых выделяется энергия, происходят в форме цепных реакций. Они являются источником энергии звезд, включая, например, наше Солнце. Термоядерный реактор преобразует энергию, выделяющуюся в ходе управляемого ядерного синтеза, в электричество.

**Как работают термоядерные реакторы?**

Термоядерный реактор работает по классическому принципу тепловой электростанции: вода нагревается и приводит в действие паровую турбину, кинетическая энергия которой преобразуется генератором в электрическую.

Термоядерная электростанция изначально требует большого количества энергии, поскольку должна быть создана плазма. «Плазма» — это название четвертого состояния вещества после твердого, жидкого и газообразного. Это требует большого количества электроэнергии. Только благодаря этой экстремальной концентрации энергии зажигается реакция синтеза, а выделяемое тепло используется для выработки электроэнергии через теплообменник. Затем генератор выдает 800 ku электроэнергии.

На плане справа показан разрез термоядерного реактора.

Для работы термоядерного реактора требуется 60 очков опыта. Термоядерный реактор должен быть полностью построен в области силового блока.

[ta5_fusion_reactor|plan]

#### TA5 Магнит термоядерного реактора

Для установки термоядерного реактора требуется в общей сложности 60 магнитов термоядерного реактора TA5. Они образуют кольцо, в котором формируется плазма. Магниты термоядерного реактора TA5 требуют питания и имеют два порта для охлаждения.

Существует два типа магнитов, поэтому все стороны магнита, обращенные к плазменному кольцу, также могут быть защищены теплозащитным экраном.

При наличии угловых магнитов на внутренней стороне кольца одна сторона соединения закрыта (питание или охлаждение) и поэтому не может быть подключена. Это технически невыполнимо и, следовательно, не влияет на работу термоядерного реактора.

[ta5_magnet|image]

#### TA5 Насос

Насос необходим для заполнения контура охлаждения изобутаном. Требуется около 350 единиц изобутана.

Примечание: Насос TA5 можно использовать только для заполнения контура охлаждения, откачка охлаждающей жидкости невозможна. Поэтому насос не следует включать, пока магниты не будут правильно установлены и все линии питания и охлаждения не будут подключены.

[ta5_pump|image]

#### TA5 Теплообменник

Теплообменник TA5 необходим для преобразования тепла, вырабатываемого в термоядерном реакторе, сначала в пар, а затем в электричество. Сам теплообменник требует 5 ку электроэнергии. Структура аналогична теплообменнику энергохранилища из TA4.

Примечание: Теплообменник TA5 имеет два соединения (синее и зеленое) для контура охлаждения. Теплообменник и все магниты должны быть подключены для формирования контура охлаждения через зеленые и синие трубы.

Проверить целостность контура охлаждения можно с помощью кнопки запуска на теплообменнике, даже если охлаждающая жидкость еще не залита.

[ta5_heatexchanger|plan]

#### TA5 Контроллер термоядерного реактора

Включение термоядерного реактора осуществляется через TA5 контроллер термоядерного реактора. Сначала необходимо включить охлаждение/теплообменник, а затем контроллер. Для запуска реактора и подачи электроэнергии требуется около 2 минут. Термоядерному реактору и, следовательно, контроллеру требуется 400 ku электроэнергии для поддержания плазмы.

[ta5_fr_controller|image]

#### TA5 Оболочка термоядерного реактора

Весь реактор должен быть окружен оболочкой, которая поглощает огромное давление, которое магниты оказывают на плазму, и защищает окружающую среду от радиации. Без этой оболочки реактор не может быть запущен. С помощью TechAge Мастерка силовые кабели и охлаждающие трубы термоядерного реактора могут быть интегрированы в оболочку.

[ta5_fr_shell|image]

#### TA5 Ядро термоядерного реактора

Ядро должно располагаться в центре реактора. См. иллюстрацию "TA5 Термоядерный Реактор". Для его установки требуется TechAge мастерок.

[ta5_fr_nucleus|image]

## Хранилище энергии

### TA5 Гибридное хранилище (планируется)

## Логические блоки

## Транспорт и дорожное движение

### TA5 Контроллер полета

TA5 Контроллер полета похож на контроллер перемещения TA4. В отличие от контроллера перемещения TA4, несколько движений можно объединить в один маршрут полета. Этот маршрут полета можно определить в поле ввода с помощью нескольких записей x, y, z (одно движение на строку). Маршрут полета проверяется и сохраняется с помощью «Сохранить». В случае ошибки выдается сообщение об ошибке.

Кнопкой «Тест» маршрут полета с абсолютными координатами выводится для проверки в чате.

Максимальная дальность полета на всем протяжении составляет 1500 м. Можно обучить до 32 блоков.

Для использования контроллера полета TA5 требуется 40 очков опыта.

**Режим телепортации**

Если включен режим «Телепортации», игрока можно перемещать и без блоков. Для этого необходимо настроить начальную позицию с помощью кнопки «Запись». Здесь можно настроить только одну позицию. Перемещаемый игрок должен находиться в этой позиции.

[ta5_flycontroller|image]

### TA5 Hyperloop Сундук

TA5 Hyperloop Сундук позволяет транспортировать предметы по сети Hyperloop.

TA5 Hyperloop Сундук должен быть размещен на Hyperloop Соединителе. Сундук имеет специальное меню, с помощью которого можно объединить два сундука. Вещи, находящиеся в сундуке, телепортируются на удаленную станцию. Сундук также можно наполнять/опустошать с помощью толкателя.

Для сопряжения вам сначала нужно ввести название сундука с одной стороны, затем вы можете выбрать это название для другого сундука и таким образом соединить два блока.

Для использования TA5 Hyperloop Сундука требуется 15 очков опыта.

[ta5_chest|image]

### TA5 Hyperloop Резервуар

TA5 Hyperloop Резервуар позволяет транспортировать жидкости по сети Hyperloop.

TA5 Hyperloop Резервуар должен быть размещен на Hyperloop Соединителе. Резервуар имеет специальное меню, с помощью которого вы можете соединить два резервуара. Жидкости в резервуаре будут телепортированы на удаленную станцию. Резервуар также можно наполнять/опорожнять с помощью насоса.

Для сопряжения сначала необходимо ввести название резервуара с одной стороны, затем можно выбрать это название для другого резервуара и таким образом соединить два блока.

Для использования TA5 Hyperloop Резервуара требуется 15 очков опыта.

[ta5_tank|image]



## Блоки телепортации

Блоки телепортации позволяют переносить вещи между двумя блоками телепортации без необходимости использования трубы между ними. Чтобы спарить блоки, сначала нужно ввести имя для блока с одной стороны, затем можно выбрать это имя для другого блока и таким образом соединить два блока. Спаривание может быть выполнено только одним игроком (имя игрока проверяется) и должно быть завершено до перезапуска сервера. В противном случае данные спаривания будут утеряны.

На карте справа показано, как можно использовать блоки.

[ta5_teleport|plan]

### TA5 Телепортатор Предметов

Эти телепортационные блоки позволяют переносить предметы и таким образом заменяют трубу. Можно преодолеть расстояние до 500 блоков.

Каждый блок телепорта требует 12 ku электроэнергии.

Для использования телепортационных блоков требуется 30 очков опыта.

[ta5_tele_tube|image]

### TA5 Телепортатор Жидкости

Эти телепортационные блоки позволяют переносить жидкости и таким образом заменяют трубу. Можно преодолеть расстояние до 500 блоков.

Каждый блок телепорта требует 12 ku электроэнергии.

Для использования телепортационных блоков требуется 30 очков опыта.

[ta5_tele_pipe|image]

### Телепортаторы Hyperloop (планируется)

Телепортаторы Hyperloop позволяют построить сеть Hyperloop без труб Hyperloop.

Для использования телепортаторов Hyperloop требуется 60 очков опыта.



## Больше блоков/предметов TA5

### TA5 Контейнер (планируется)

Контейнер TA5 позволяет упаковывать и распаковывать системы Techage в другом месте.

Для использования контейнера TA5 требуется 80 очков опыта.

### TA5 AI Чип

TA5 AI Чип требуется для производства некоторых блоков TA5. Его можно изготовить только на фабрике электроники TA4. Для этого требуется 10 очков опыта.

[ta5_aichip|image]

### TA5 AI Чип II

Для создания TA5 термоядерного реактора требуется чип TA5 AI Чип II. Его можно изготовить только на заводе электроники TA4. Для этого требуется 25 очков опыта.

[ta5_aichip2|image]
